Subject: Solved: rsh: "Permission denied" on file creation. Cygwin 1.3.3 o n W2K Adv Srv SP2.
From: "JHJE (Jan Holst Jensen)" <[email-masked]>
To: "'Peter Buckley'" <[email-masked]>, "JHJE (Jan Holst Jensen)" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 12 Oct 2001 19:24:42 +0200

Thanks Peter. I made inetd run as "libx" and now everything works (of course
only for libx, but that's fine for my system).

-- Jan

-----Original Message-----
From: Peter Buckley [mailto:[email-masked]]
Sent: Friday, October 12, 2001 18:59
To: JHJE (Jan Holst Jensen)
Cc: [email-masked]'
Subject: Re: rsh: "Permission denied" on file creation. Cygwin 1.3.3 on
W2K Adv Srv SP2.

If you are running inetd as a service on the cygwin box, 
the default account it runs as is SYSTEM. You can change 
this to be a real account- SYSTEM is "an NT artifact" and 
really has very few effective rights, other than being 
able to run things as a service. The user that you run 
the inetd service as (an admin equivalent is recommended, 
especially for testing purposes until you figure out what 
rights you need or don't need) may need additional rights, these 
can be found in the inetutils-1.x.x-README file in 
/usr/doc/cygwin, or maybe it is in the FAQ, I am not sure.

HTH,
Peter

"JHJE (Jan Holst Jensen)" wrote:
> 
> Whenever I try to create a file through rsh I get a "Permission denied".
> Other commands issued through rsh work.
> rcp constantly returns "Permission denied" when creating a new file, but
can
> overwrite an existing one.
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/